
create view info as 
select b.datestamp, b.protocol, b.isnew,
CASE
WHEN b.protocol='DCap-3.0' THEN split_part(b.cellname, '@', 1)
WHEN b.protocol='GFtp-1.0' and b.isnew=true THEN split_part(b.cellname, '@', 1)
WHEN b.protocol='GFtp-1.0' and b.isnew=false THEN split_part(b.cellname, '@', 1)
WHEN b.protocol='RemoteGsiftpTransfer-1.1' THEN split_part(b.cellname, '@', 1)
END AS local,
CASE
WHEN b.protocol='DCap-3.0' THEN b.client 
WHEN b.protocol='GFtp-1.0' and b.isnew=true THEN d.client
WHEN b.protocol='GFtp-1.0' and b.isnew=false THEN d.client
WHEN b.protocol='RemoteGsiftpTransfer-1.1' THEN b.client
END AS remote,
COALESCE(split_part(split_part(split_part(d.cellname, '@', 1), '-Unknown', 1), '-unknow', 1), 'Unknown') as door,
COALESCE(d.owner, 'Unknown') AS Owner,
COALESCE(d.path, b.pnfsid) AS File,
b.errorcode AS pool_error,
d.errorcode AS door_error,
b.errormessage AS pool_message,
d.errormessage AS door_message,
b.connectiontime,
b.transfersize
FROM billinginfo b LEFT OUTER JOIN doorinfo d on b.initiator = d.transaction;

create index dates on billinginfo (datestamp);
create index initiator on billinginfo (initiator);
create unique index transaction on doorinfo (transaction);

